/*
!=======================================================================
!
!  PROGRAM  PHASE-Viewer  (PHASE-Viewer 2014.01 ver.3.3.0)
!
!  Created on ----
!  AUTHOR(S): KOGA, Junichiro
!  File : LogManager.java
!  
!  Contact address :  Phase System Consortium
!                     E-mail: phase_system@nims.go.jp URL https://azuma.nims.go.jp
!
!
!   Since 2002, this program set had been intensively developed as a part of the following 
!  national projects supported by the Ministry of Education, Culture, Sports, Science and
!  Technology (MEXT) of Japan; "Frontier Simulation Software for Industrial Science
!  (FSIS)" from 2002 to 2005, "Revolutionary Simulation Software (RSS21)" from 2006 to
!  2008. "Research and Development of Innovative Simulation Software (RISS)" from 2008
!  to 2013. These projects is lead by the Center for Research on Innovative Simulation 
!  Software (CISS), the Institute of Industrial Science (IIS), the University of Tokyo.
!   Since 2013, this program set has been further developed centering on PHASE System
!  Consortium. 
!   The activity of development of this program set has been supervised by Takahisa Ohno.
!
!=======================================================================
 */
package ciss.phase_viewer.common;

public class LogManager {

    private String phaseinpstatpp;
    private String ppstat;
    private String xctype;
    private String el;
    private String alel;
    private String PPel;
    private String solcm;
    private String cm;
    private String CR;

    /**
     * ログ格納用文字列の初期化など.
     */
    public LogManager() {
        this.CR = ConstParameters.CR;
        phaseinpstatpp = new String();
        ppstat = new String();
        xctype = new String();
        el = new String();
        alel = new String();
        cm = new String();
        PPel = new String();
        solcm = new String();
    }

    // clear log strings
    public void clearPhaseInpStatPP() {
        phaseinpstatpp = new String();
    }

    public void clearPhaseInpStatXCType() {
        xctype = new String();
    }

    public void clearPhaseInpStatEl() {
        el = new String();
    }

    public void clearPhaseInpStatAlEl() {
        alel = new String();
    }

    public void clearPhaseInpStatPPEl() {
        PPel = new String();
    }

    public void clearPhaseInpStatSolCm() {
        solcm = new String();
    }

    public void clearPhaseInpStatCm() {
        cm = new String();
    }

    public void clearPhasePPStat() {
        ppstat = new String();
    }

    // set log strings
    public void setPhaseInpStatPP(String str) {
        phaseinpstatpp = phaseinpstatpp + str + CR;
    }

    public void setPhaseInpStatXCType(String str) {
        xctype = xctype + str + CR;
    }

    public void setPhaseInpStatEl(String str) {
        el = el + str + CR;
    }

    public void setPhaseInpStatAlEl(String str) {
        alel = alel + str + CR;
    }

    public void setPhaseInpStatPPEl(String str) {
        PPel = PPel + str + CR;
    }

    public void setPhaseInpStatSolCm(String str) {
        solcm = solcm + str + CR;
    }

    public void setPhaseInpStatCm(String str) {
        cm = cm + str + CR;
    }

    public void setPhasePPStat(String str) {
        ppstat = ppstat + str + CR;
    }

    // get log strings
    public String getPhaseInpStatPP() {
        return (phaseinpstatpp);
    }

    public String getPhaseInpStatXCType() {
        return (xctype);
    }

    public String getPhaseInpStatEl() {
        return (el);
    }

    public String getPhaseInpStatAlEl() {
        return (alel);
    }

    public String getPhaseInpStatPPEl() {
        return (PPel);
    }

    public String getPhaseInpStatSolCm() {
        return (solcm);
    }

    public String getPhaseInpStatCm() {
        return (cm);
    }

    public String getPhasePPStat() {
        return (ppstat);
    }
}
